<p align="center">
<img src="https://github.com/ludouzi/fooyin/assets/45490980/a6c6923a-5de3-4d29-a6e9-f73ebd5181ac" width="40%" alt="fooyin logo">
</p>

<hr />

<p align="center" style="font-size: 18px;">
<a href="https://github.com/ludouzi/fooyin/actions/workflows/build.yml"><img src="https://github.com/ludouzi/fooyin/actions/workflows/build.yml/badge.svg" alt="Build status"></a>
<a href="https://app.codacy.com/gh/ludouzi/fooyin/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade"><img src="https://app.codacy.com/project/badge/Grade/ae0c3e9825d849b0b64697e59e4dfea6" alt="Code quality"></a>
<a href="https://repology.org/project/fooyin/versions"><img src="https://repology.org/badge/tiny-repos/fooyin.svg" alt="Packaging status"></a>
</p>

<hr />

## A customisable music player

fooyin is a music player built around customisation. It offers a growing list of widgets to manage and play your local 
music collection. It's extensible using a plugin system and many widgets make use of FooScript to offer an even deeper 
level of control.

A layout editing mode enables the entire user interface to be customised, starting from a blank slate or a preset layout.

Only Linux is supported at present, though support for other platforms is coming soon.

| ![Simple](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/simple-dark.png)     | ![Browser](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/browser-dark.png) |
|----------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------|
| ![Obsidian](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/obsidian-dark.png) | ![Wave](https://raw.githubusercontent.com/ludouzi/fooyin/master/data/images/viewer-dark.png)     |

## Features

* [x] Playback of: FLAC, MP3, MP4, Vorbis, Opus, WavPack, WAV, AIFF, Musepack, Monkey's Audio
* [x] Gapless playback
* [x] Audio output and device configuration
* [x] CUE sheet support (including embedded)
* [x] Fully customisable layout, starting from a blank window
* [x] Customisable keyboard shortcuts
* [x] Filter library on any field(s)
* [x] Create and manage playlists
* [x] Import/export playlists (M3U/M3U8)
* [x] Extensible using a plugin system
* [x] Tag editor
* [x] Library tree, with support for direct playback
* [x] Directory browser, with support for direct playback
* [x] Waveform seekbar
* [x] MPRIS support

### Roadmap

See [ROADMAP.md](ROADMAP.md) to learn about fooyin's planned features.

## Building from source

See [BUILD.md](BUILD.md) for details.

## Translations

You can contribute to translations on [Hosted Weblate](https://hosted.weblate.org/projects/fooyin/),
an open source and web-based translation platform.
